summaryrefslogtreecommitdiff
path: root/repo/doas/doas.xibuild
diff options
context:
space:
mode:
authordavidovski <david@davidovski.xyz>2022-06-04 15:08:04 +0100
committerdavidovski <david@davidovski.xyz>2022-06-04 15:08:04 +0100
commit873665024ebfaa761ee49b508a79db7178aeb778 (patch)
tree6cd3b4ce3a9f4b0586ffa48e73a6ba4c8da2db43 /repo/doas/doas.xibuild
parent4445f6e15185f58dc599390ab74df3ca19b437b7 (diff)
added gnupg
Diffstat (limited to 'repo/doas/doas.xibuild')
-rw-r--r--repo/doas/doas.xibuild44
1 files changed, 44 insertions, 0 deletions
diff --git a/repo/doas/doas.xibuild b/repo/doas/doas.xibuild
new file mode 100644
index 0000000..3e3b4f8
--- /dev/null
+++ b/repo/doas/doas.xibuild
@@ -0,0 +1,44 @@
+#!/bin/sh
+
+NAME="doas"
+DESC="OpenBSD's temporary privilege escalation tool"
+
+MAKEDEPS="bison"
+
+PKG_VER=6.8.2
+SOURCE="https://github.com/Duncaen/OpenDoas/archive/v$PKG_VER.tar.gz"
+
+ADDITIONAL="
+configuration-directory.patch
+manpage-example-path.patch
+"
+
+prepare () {
+ apply_patches
+}
+
+build() {
+ ./configure \
+ --prefix=/usr \
+ --without-pam \
+ --with-timestamp \
+ --with-doas-confdir
+ make
+}
+
+check() {
+ # doas -v returns 1
+ ./doas -v || test $? = 1
+}
+
+package() {
+ make install DESTDIR="$PKG_DEST"
+ install -d "$PKG_DEST"/usr/share/doc/doas
+ cat > "$PKG_DEST"/usr/share/doc/doas/doas.conf.example <<-EOF
+ # see doas.conf(5) for configuration details
+
+ # Uncomment to allow group "wheel" to become root
+ # permit persist :wheel
+ EOF
+}
+